### Hierarchy

- AlwaysWith

### Callable

- __call(a: any, b?: any, c?: any, d?: any, e?: any, f?: any, g?: any, h?: any, i?: any, j?: any): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:387

  ####.always.with Assert that every time the spy has been called the argument list contained the given arguments.

      spy('foo');
      spy('foo', 'bar');
      spy(1, 2, 'foo');
      expect(spy).to.have.been.called.always.with('foo');
      spy.should.have.been.called.always.with('foo');

  #### Parameters

  - ##### a: any

  - ##### Optional b: any

  - ##### Optional c: any

  - ##### Optional d: any

  - ##### Optional e: any

  - ##### Optional f: any

  - ##### Optional g: any

  - ##### Optional h: any

  - ##### Optional i: any

  - ##### Optional j: any

  #### Returns Assertion

## Index

### Methods

- exactly

## Methods

### exactly

- exactly(a?: any, b?: any, c?: any, d?: any, e?: any, f?: any, g?: any, h?: any, i?: any, j?: any): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:411

  ####.always.with.exactly Assert that the spy has never been called with a different list of arguments than the one provided.

      spy('foo');
      spy('foo');
      expect(spy).to.have.been.called.always.with.exactly('foo');
      spy.should.have.been.called.always.with.exactly('foo');

  #### Parameters

  - ##### Optional a: any

  - ##### Optional b: any

  - ##### Optional c: any

  - ##### Optional d: any

  - ##### Optional e: any

  - ##### Optional f: any

  - ##### Optional g: any

  - ##### Optional h: any

  - ##### Optional i: any

  - ##### Optional j: any

  #### Returns Assertion

Generated using TypeDoc